#! /bin/sh

CURDIR="$(pwd)"
TMPDIR="/tmp/build-presentation/"
OPTIONS=""
OPEN=0

if [ "$1" = "-q" ] || [ "$1" = "--quiet" ]
then
    OPTIONS=$OPTIONS" -interaction batchmode"
    shift 1
fi

if [ "$1" = "-o" ] || [ "$1" = "--open" ]
then
    OPEN=1
    shift 1
fi

rm -rf "$TMPDIR"
mkdir -p "$TMPDIR"
cp -r * "$TMPDIR"
cd $TMPDIR

pdflatex $OPTIONS presentation &&
pdflatex $OPTIONS presentation &&
#bibtex presentation | grep -v 'Warning--to sort, need author' &&
#pdflatex $OPTIONS presentation &&
#pdflatex $OPTIONS presentation &&
cp presentation.pdf "$CURDIR"

cd "$CURDIR"

if [ $OPEN = 1 ]
then
    gnome-open presentation.pdf
fi
